namespace Femto.Modules.Blog.Domain.Posts;

public class PostReaction
{
    public Guid AuthorId { get; private set; }
    public Guid PostId { get; private set; }
    public string Emoji { get; private set; } = null!;
    public DateTimeOffset CreatedAt { get; private set; }
    public PostReaction(Guid authorId, Guid postId, string emoji)
    {
        this.AuthorId = authorId;
        this.PostId = postId;
        this.Emoji = emoji;
        this.CreatedAt = TimeProvider.System.GetUtcNow();
    }
    
    private PostReaction() { }
}